#ifndef KEYEVENT_HPP_INCLUDED
#define KEYEVENT_HPP_INCLUDED

#include <cstdint>
#include "Object.hpp"

class KeyEvent : public Object
{
    public:
        KeyEvent();
        KeyEvent(void* Obj);
        KeyEvent(const KeyEvent& M);
        KeyEvent(Object Source, std::int32_t ID, std::int64_t When, std::int32_t Modifiers,
                 std::int32_t KeyCode, std::uint16_t KeyChar, std::int32_t KeyLocation);
};

#endif // KEYEVENT_HPP_INCLUDED
